all::
RSYNC_DEST := bogomips.org:/srv/bogomips/omgdav
rfpackage := omgdav
pkg_extra += lib/omgdav/version.rb
include pkg.mk

LITMUS_VER = 0.13
LITMUS_TAR = litmus-$(LITMUS_VER).tar.gz
LITMUS_DIR = litmus-$(LITMUS_VER)
LITMUS_URL = http://www.webdav.org/neon/litmus/$(LITMUS_TAR)
LITMUS_SHA1 = 42ad603035d15798facb3be79b1c51376820cb19
CURL = curl

$(LITMUS_TAR):
	$(CURL) -vsSf $(LITMUS_URL) > $@+
	test $$(expr "$$(sha1sum $@+)" : '\([a-f0-9]\{40\}\)') = $(LITMUS_SHA1)
	mv $@+ $@


$(LITMUS_DIR)/.omgdav: $(LITMUS_TAR)
	tar xvf $<
	> $@
$(LITMUS_DIR)/basic: $(LITMUS_DIR)/.omgdav
	cd $(@D) && ./configure --prefix=$$PWD/i
	$(MAKE) -C $(@D)

test-litmus: $(LITMUS_DIR)/basic
	$(MAKE) LITMUS_DIR=$(LITMUS_DIR) MAKE="$(MAKE)" test/test_litmus.rb

check: test test-litmus

RSYNC = rsync --exclude '*.html' --exclude '*.html.gz' \
        --exclude images --exclude '*.css' --exclude '*.css.gz' \
	--exclude created.*
